View Issue Details

IDProjectCategoryView StatusLast Update
0002200SymmetricDSBugpublic2015-02-17 16:44
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.7.6 
Target Version3.7.7Fixed in Version3.7.7 
Summary0002200: Microsoft JDBC maps nvarchar(max) and varchar(max) to a varchar with a size. Should be mapped to a longvarchar or longnvarchar.
DescriptionMicrosoft JDBC maps nvarchar(max) and varchar(max) to a varchar with a size. Should be mapped to a longvarchar or longnvarchar.

This can cause the trigger to fail to create for varchar(max) columns in the latest versions of SymmetricDS.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 7e801f45

2015-02-16 08:37:19

chenson

Details Diff
0002200: Microsoft JDBC maps nvarchar(max) and varchar(max) to a varchar with a size. Should be mapped to a longvarchar or longnvarchar.
0002200
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSqlDdlReader.java Diff File

Issue History

Date Modified Username Field Change
2015-02-16 08:37 chenson New Issue
2015-02-16 08:37 chenson Status new => assigned
2015-02-16 08:37 chenson Assigned To => chenson
2015-02-16 08:37 chenson Status assigned => resolved
2015-02-16 08:37 chenson Fixed in Version => 3.7.7
2015-02-16 08:37 chenson Resolution open => fixed
2015-02-16 09:00 chenson Changeset attached => SymmetricDS trunk r9367
2015-02-17 16:44 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 7e801f45